Download
Version 0.57.0

Windows - Mac - Linux

More Options - Change Log

You can stay up to date with Golems releases by following us on Twitter, and on our Facebook Page.

Requirements

You'll need about 15 megabytes of free space, and at least 512 mB of RAM. The program requires Java (32-bit, version 5 or higher). Most people already have it, but you can get the latest Java here (its free) if you need it. Macs come with it, and the Windows installer should attempt to install it for you if necessary.

I'd recommend a monitor with at least 1024 x 768 resolution, but it will run with less. A graphics card is also highly recommended.

The program should run reasonably even on old-ish computers, however complicated machines will run (much!) better on faster computers.

Note: Golems now has experimental translations for Chinese, Italian, German, French, Polish, Swedish, and Dutch. Just download Golems as normal, and if your computer is set to use these one of these languages by default then Golems should detect that automatically. You can disable the translations in the Golems main menu.

Installation

For Windows:

Download and run Golems-setup to install the program, then find the shortcut on your desktop, or in your Start Menu under Golems.

Golems supports XP, Vista, and Windows 7 or later. Note: On Windows, Golems requires a 32-bit version of Java, even on 64-bit machines. If you already have the 64-bit version of Java installed, you should still be able to install the 32-bit version of Java without problems.

For Macs:

Download and open the Golems-mac disc image. You should find a Golems drive on your desktop, with the Golems application inside of it. If you double click the image, you can run Golems right from there, or you can drag the Golem's application into your Applications folder to install it.

Golems requires an Intel Mac running OS X v 10.5 or later.

For Linux:

Just unzip Golems-linux.zip somewhere convenient, and run golems.sh (you can probably just double click it). Please note that some users have reported that Golems doesn't work well with the supplied version of Java, OpenJDK. If you encounter problems, try installing Sun's Java (Instructions for: Ubuntu, openSUSE).

New: Experimental support for 64-bit Linux has arrived. Download the same Linux package as before; just make sure you have 64-bit Java installed.

Caveat Emptor

Golems is still very much a work in progress. If you uncover a bug, or just have a suggestion, please post it on the forum. For bugs, please provide as much detail as possible about what you were doing just before things went wrong. If possible, include the log.txt file found in Machines\Logs.